Installation: Nightly builds fail to install


#1

**Problem: Installation of nightly build fails with a " Requires: puppet-agent >= 5.5.8" error

**Expected outcome:nightly build installs

**Foreman and Proxy versions:None yet, trying to install current nightly builds

**Foreman and Proxy plugin versions:None yet, trying to install current nightly builds

**Other relevant data: Fully patched CentOS7

Error: Package: 1:foreman-installer-1.23.0-0.1.develop.20190513031638git1f28133.
el7.noarch (foreman)
;Requires: puppet-agent >= 5.5.8

Latest available puppet-agent is: root@centos1 ~]# yum list puppet-agent
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile

I’m following Foreman :: Plugin Manuals for CentOS7. I’m fairly sure that I have all repositories installed.


#2

Per @ekohl (in another thread: )

That should be updated to use http://yum.puppetlabs.com/puppet6-release-el-7.noarch.rpm (this will also be an issue with Katello 3.12).

This has fixed my installation issues with the nightly build.